#ifndef _HISTORY_H
#define _HISTORY_H

#include <X11/Intrinsic.h>
#include <X11/StringDefs.h>

typedef struct HTscreen {
	char *hypertext;
	char *title;
	char *url;
	int viewport_x;
	int viewport_y;
	struct HTscreen *next;
	struct HTscreen *prev;
	} HTscreen;

void historyAdd(char *htext, char *title, char *url);
void historySavePosition(void);
HTscreen *previousHistory(void);
HTscreen *nextHistory(void);
void GoBack(void);
void GoForward(void);
void PopupHistory(void);
void backCB(Widget w, XtPointer closure, XtPointer call_data);
void forwardCB(Widget w, XtPointer closure, XtPointer call_data);
void historyCB(Widget w, XtPointer closure, XtPointer call_data);
void CreateHistoryDialog(void);

#endif
